org.wildfly.swarm.config.infinispan

## Class CacheContainer<T extends CacheContainer<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.infinispan.CacheContainer<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class CacheContainer<T extends CacheContainer<T>>
      extends HashMap

  The configuration of an infinispan cache container
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CacheContainer.CacheContainerResources` Child mutators for CacheContainer

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CacheContainer(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `T` | `alias(String value)` The list of aliases for this cache container
    `List<String>` | `aliases()` The list of aliases for this cache container
    `T` | `aliases(List<String> value)` The list of aliases for this cache container
    `T` | `aliases(String... args)` The list of aliases for this cache container
    `T` | `asyncOperationsThreadPool()` Defines a thread pool used for asynchronous operations.
    `T` | `asyncOperationsThreadPool(AsyncOperationsThreadPool value)` Defines a thread pool used for asynchronous operations.
    `T` | `asyncOperationsThreadPool(AsyncOperationsThreadPoolConsumer consumer)` Defines a thread pool used for asynchronous operations.
    `T` | `asyncOperationsThreadPool(AsyncOperationsThreadPoolSupplier supplier)` Defines a thread pool used for asynchronous operations.
    `String` | `cacheManagerStatus()` The status of the cache manager component.
    `T` | `cacheManagerStatus(String value)` The status of the cache manager component.
    `String` | `clusterName()` The name of the cluster this node belongs to.
    `T` | `clusterName(String value)` The name of the cluster this node belongs to.
    `String` | `coordinatorAddress()` The logical address of the cluster's coordinator.
    `T` | `coordinatorAddress(String value)` The logical address of the cluster's coordinator.
    `String` | `defaultCache()` The default infinispan cache
    `T` | `defaultCache(String value)` The default infinispan cache
    `T` | `distributedCache(DistributedCache value)` Add the DistributedCache object to the list of subresources
    `T` | `distributedCache(DistributedCacheSupplier supplier)` Install a supplied DistributedCache object to the list of subresources
    `T` | `distributedCache(String childKey)` Create and configure a DistributedCache object to the list of subresources
    `T` | `distributedCache(String childKey, DistributedCacheConsumer consumer)` Create and configure a DistributedCache object to the list of subresources
    `T` | `distributedCaches(List<DistributedCache> value)` Add all DistributedCache objects to this subresource
    `T` | `expirationThreadPool()` Defines a thread pool used for for evictions.
    `T` | `expirationThreadPool(ExpirationThreadPool value)` Defines a thread pool used for for evictions.
    `T` | `expirationThreadPool(ExpirationThreadPoolConsumer consumer)` Defines a thread pool used for for evictions.
    `T` | `expirationThreadPool(ExpirationThreadPoolSupplier supplier)` Defines a thread pool used for for evictions.
    `String` | `getKey()`
    `T` | `invalidationCache(InvalidationCache value)` Add the InvalidationCache object to the list of subresources
    `T` | `invalidationCache(InvalidationCacheSupplier supplier)` Install a supplied InvalidationCache object to the list of subresources
    `T` | `invalidationCache(String childKey)` Create and configure a InvalidationCache object to the list of subresources
    `T` | `invalidationCache(String childKey, InvalidationCacheConsumer consumer)` Create and configure a InvalidationCache object to the list of subresources
    `T` | `invalidationCaches(List<InvalidationCache> value)` Add all InvalidationCache objects to this subresource
    `Boolean` | `isCoordinator()` Set to true if this node is the cluster's coordinator.
    `T` | `isCoordinator(Boolean value)` Set to true if this node is the cluster's coordinator.
    `T` | `jgroupsTransport()` The description of the transport used by this cache container
    `T` | `jgroupsTransport(JGroupsTransport value)` The description of the transport used by this cache container
    `T` | `jgroupsTransport(JGroupsTransportConsumer consumer)` The description of the transport used by this cache container
    `T` | `jgroupsTransport(JGroupsTransportSupplier supplier)` The description of the transport used by this cache container
    `String` | `jndiName()` The jndi name to which to bind this cache container
    `T` | `jndiName(String value)` The jndi name to which to bind this cache container
    `T` | `listenerThreadPool()` Defines a thread pool used for asynchronous cache listener notifications.
    `T` | `listenerThreadPool(ListenerThreadPool value)` Defines a thread pool used for asynchronous cache listener notifications.
    `T` | `listenerThreadPool(ListenerThreadPoolConsumer consumer)` Defines a thread pool used for asynchronous cache listener notifications.
    `T` | `listenerThreadPool(ListenerThreadPoolSupplier supplier)` Defines a thread pool used for asynchronous cache listener notifications.
    `String` | `localAddress()` The local address of the node.
    `T` | `localAddress(String value)` The local address of the node.
    `T` | `localCache(LocalCache value)` Add the LocalCache object to the list of subresources
    `T` | `localCache(LocalCacheSupplier supplier)` Install a supplied LocalCache object to the list of subresources
    `T` | `localCache(String childKey)` Create and configure a LocalCache object to the list of subresources
    `T` | `localCache(String childKey, LocalCacheConsumer consumer)` Create and configure a LocalCache object to the list of subresources
    `T` | `localCaches(List<LocalCache> value)` Add all LocalCache objects to this subresource
    `String` | `module()` The module whose class loader should be used when building this cache container's configuration.
    `T` | `module(String value)` The module whose class loader should be used when building this cache container's configuration.
    `T` | `noneTransport()` A local-only transport used by this cache-container
    `T` | `noneTransport(NoneTransport value)` A local-only transport used by this cache-container
    `T` | `noneTransport(NoneTransportConsumer consumer)` A local-only transport used by this cache-container
    `T` | `noneTransport(NoneTransportSupplier supplier)` A local-only transport used by this cache-container
    `T` | `persistenceThreadPool()` Defines a thread pool used for interacting with the persistent store.
    `T` | `persistenceThreadPool(PersistenceThreadPool value)` Defines a thread pool used for interacting with the persistent store.
    `T` | `persistenceThreadPool(PersistenceThreadPoolConsumer consumer)` Defines a thread pool used for interacting with the persistent store.
    `T` | `persistenceThreadPool(PersistenceThreadPoolSupplier supplier)` Defines a thread pool used for interacting with the persistent store.
    `T` | `remoteCommandThreadPool()` Defines a thread pool used to execute remote commands.
    `T` | `remoteCommandThreadPool(RemoteCommandThreadPool value)` Defines a thread pool used to execute remote commands.
    `T` | `remoteCommandThreadPool(RemoteCommandThreadPoolConsumer consumer)` Defines a thread pool used to execute remote commands.
    `T` | `remoteCommandThreadPool(RemoteCommandThreadPoolSupplier supplier)` Defines a thread pool used to execute remote commands.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `T` | `replicatedCache(ReplicatedCache value)` Add the ReplicatedCache object to the list of subresources
    `T` | `replicatedCache(ReplicatedCacheSupplier supplier)` Install a supplied ReplicatedCache object to the list of subresources
    `T` | `replicatedCache(String childKey)` Create and configure a ReplicatedCache object to the list of subresources
    `T` | `replicatedCache(String childKey, ReplicatedCacheConsumer consumer)` Create and configure a ReplicatedCache object to the list of subresources
    `T` | `replicatedCaches(List<ReplicatedCache> value)` Add all ReplicatedCache objects to this subresource
    `T` | `stateTransferThreadPool()` Defines a thread pool used for for state transfer.
    `T` | `stateTransferThreadPool(StateTransferThreadPool value)` Defines a thread pool used for for state transfer.
    `T` | `stateTransferThreadPool(StateTransferThreadPoolConsumer consumer)` Defines a thread pool used for for state transfer.
    `T` | `stateTransferThreadPool(StateTransferThreadPoolSupplier supplier)` Defines a thread pool used for for state transfer.
    `Boolean` | `statisticsEnabled()` If enabled, statistics will be collected for this cache container
    `T` | `statisticsEnabled(Boolean value)` If enabled, statistics will be collected for this cache container
    `CacheContainer.CacheContainerResources` | `subresources()`
    `T` | `transportThreadPool()` Defines a thread pool used for asynchronous transport communication.
    `T` | `transportThreadPool(TransportThreadPool value)` Defines a thread pool used for asynchronous transport communication.
    `T` | `transportThreadPool(TransportThreadPoolConsumer consumer)` Defines a thread pool used for asynchronous transport communication.
    `T` | `transportThreadPool(TransportThreadPoolSupplier supplier)` Defines a thread pool used for asynchronous transport communication.

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### CacheContainer

          public CacheContainer(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public CacheContainer.CacheContainerResources subresources()

    - #### invalidationCaches

          public T invalidationCaches(List<InvalidationCache> value)

      Add all InvalidationCache objects to this subresource
      Parameters:
        `value` - List of InvalidationCache objects.
      Returns:
        this

    - #### invalidationCache

          public T invalidationCache(InvalidationCache value)

      Add the InvalidationCache object to the list of subresources
      Parameters:
        `value` - The InvalidationCache to add
      Returns:
        this

    - #### invalidationCache

          public T invalidationCache(String childKey,
                                     InvalidationCacheConsumer consumer)

      Create and configure a InvalidationCache object to the list of subresources
      Parameters:
        `key` - The key for the InvalidationCache resource
        `config` - The InvalidationCacheConsumer to use
      Returns:
        this

    - #### invalidationCache

          public T invalidationCache(String childKey)

      Create and configure a InvalidationCache object to the list of subresources
      Parameters:
        `key` - The key for the InvalidationCache resource
      Returns:
        this

    - #### invalidationCache

          public T invalidationCache(InvalidationCacheSupplier supplier)

      Install a supplied InvalidationCache object to the list of subresources

    - #### localCaches

          public T localCaches(List<LocalCache> value)

      Add all LocalCache objects to this subresource
      Parameters:
        `value` - List of LocalCache objects.
      Returns:
        this

    - #### localCache

          public T localCache(LocalCache value)

      Add the LocalCache object to the list of subresources
      Parameters:
        `value` - The LocalCache to add
      Returns:
        this

    - #### localCache

          public T localCache(String childKey,
                              LocalCacheConsumer consumer)

      Create and configure a LocalCache object to the list of subresources
      Parameters:
        `key` - The key for the LocalCache resource
        `config` - The LocalCacheConsumer to use
      Returns:
        this

    - #### localCache

          public T localCache(String childKey)

      Create and configure a LocalCache object to the list of subresources
      Parameters:
        `key` - The key for the LocalCache resource
      Returns:
        this

    - #### localCache

          public T localCache(LocalCacheSupplier supplier)

      Install a supplied LocalCache object to the list of subresources

    - #### replicatedCaches

          public T replicatedCaches(List<ReplicatedCache> value)

      Add all ReplicatedCache objects to this subresource
      Parameters:
        `value` - List of ReplicatedCache objects.
      Returns:
        this

    - #### replicatedCache

          public T replicatedCache(ReplicatedCache value)

      Add the ReplicatedCache object to the list of subresources
      Parameters:
        `value` - The ReplicatedCache to add
      Returns:
        this

    - #### replicatedCache

          public T replicatedCache(String childKey,
                                   ReplicatedCacheConsumer consumer)

      Create and configure a ReplicatedCache object to the list of subresources
      Parameters:
        `key` - The key for the ReplicatedCache resource
        `config` - The ReplicatedCacheConsumer to use
      Returns:
        this

    - #### replicatedCache

          public T replicatedCache(String childKey)

      Create and configure a ReplicatedCache object to the list of subresources
      Parameters:
        `key` - The key for the ReplicatedCache resource
      Returns:
        this

    - #### replicatedCache

          public T replicatedCache(ReplicatedCacheSupplier supplier)

      Install a supplied ReplicatedCache object to the list of subresources

    - #### distributedCaches

          public T distributedCaches(List<DistributedCache> value)

      Add all DistributedCache objects to this subresource
      Parameters:
        `value` - List of DistributedCache objects.
      Returns:
        this

    - #### distributedCache

          public T distributedCache(DistributedCache value)

      Add the DistributedCache object to the list of subresources
      Parameters:
        `value` - The DistributedCache to add
      Returns:
        this

    - #### distributedCache

          public T distributedCache(String childKey,
                                    DistributedCacheConsumer consumer)

      Create and configure a DistributedCache object to the list of subresources
      Parameters:
        `key` - The key for the DistributedCache resource
        `config` - The DistributedCacheConsumer to use
      Returns:
        this

    - #### distributedCache

          public T distributedCache(String childKey)

      Create and configure a DistributedCache object to the list of subresources
      Parameters:
        `key` - The key for the DistributedCache resource
      Returns:
        this

    - #### distributedCache

          public T distributedCache(DistributedCacheSupplier supplier)

      Install a supplied DistributedCache object to the list of subresources

    - #### remoteCommandThreadPool

          public T remoteCommandThreadPool(RemoteCommandThreadPool value)

      Defines a thread pool used to execute remote commands.

    - #### remoteCommandThreadPool

          public T remoteCommandThreadPool(RemoteCommandThreadPoolConsumer consumer)

      Defines a thread pool used to execute remote commands.

    - #### remoteCommandThreadPool

          public T remoteCommandThreadPool()

      Defines a thread pool used to execute remote commands.

    - #### remoteCommandThreadPool

          public T remoteCommandThreadPool(RemoteCommandThreadPoolSupplier supplier)

      Defines a thread pool used to execute remote commands.

    - #### jgroupsTransport

          public T jgroupsTransport(JGroupsTransport value)

      The description of the transport used by this cache container

    - #### jgroupsTransport

          public T jgroupsTransport(JGroupsTransportConsumer consumer)

      The description of the transport used by this cache container

    - #### jgroupsTransport

          public T jgroupsTransport()

      The description of the transport used by this cache container

    - #### jgroupsTransport

          public T jgroupsTransport(JGroupsTransportSupplier supplier)

      The description of the transport used by this cache container

    - #### asyncOperationsThreadPool

          public T asyncOperationsThreadPool(AsyncOperationsThreadPool value)

      Defines a thread pool used for asynchronous operations.

    - #### asyncOperationsThreadPool

          public T asyncOperationsThreadPool(AsyncOperationsThreadPoolConsumer consumer)

      Defines a thread pool used for asynchronous operations.

    - #### asyncOperationsThreadPool

          public T asyncOperationsThreadPool()

      Defines a thread pool used for asynchronous operations.

    - #### asyncOperationsThreadPool

          public T asyncOperationsThreadPool(AsyncOperationsThreadPoolSupplier supplier)

      Defines a thread pool used for asynchronous operations.

    - #### expirationThreadPool

          public T expirationThreadPool(ExpirationThreadPool value)

      Defines a thread pool used for for evictions.

    - #### expirationThreadPool

          public T expirationThreadPool(ExpirationThreadPoolConsumer consumer)

      Defines a thread pool used for for evictions.

    - #### expirationThreadPool

          public T expirationThreadPool()

      Defines a thread pool used for for evictions.

    - #### expirationThreadPool

          public T expirationThreadPool(ExpirationThreadPoolSupplier supplier)

      Defines a thread pool used for for evictions.

    - #### transportThreadPool

          public T transportThreadPool(TransportThreadPool value)

      Defines a thread pool used for asynchronous transport communication.

    - #### transportThreadPool

          public T transportThreadPool(TransportThreadPoolConsumer consumer)

      Defines a thread pool used for asynchronous transport communication.

    - #### transportThreadPool

          public T transportThreadPool()

      Defines a thread pool used for asynchronous transport communication.

    - #### transportThreadPool

          public T transportThreadPool(TransportThreadPoolSupplier supplier)

      Defines a thread pool used for asynchronous transport communication.

    - #### noneTransport

          public T noneTransport(NoneTransport value)

      A local-only transport used by this cache-container

    - #### noneTransport

          public T noneTransport(NoneTransportConsumer consumer)

      A local-only transport used by this cache-container

    - #### noneTransport

          public T noneTransport()

      A local-only transport used by this cache-container

    - #### noneTransport

          public T noneTransport(NoneTransportSupplier supplier)

      A local-only transport used by this cache-container

    - #### persistenceThreadPool

          public T persistenceThreadPool(PersistenceThreadPool value)

      Defines a thread pool used for interacting with the persistent store.

    - #### persistenceThreadPool

          public T persistenceThreadPool(PersistenceThreadPoolConsumer consumer)

      Defines a thread pool used for interacting with the persistent store.

    - #### persistenceThreadPool

          public T persistenceThreadPool()

      Defines a thread pool used for interacting with the persistent store.

    - #### persistenceThreadPool

          public T persistenceThreadPool(PersistenceThreadPoolSupplier supplier)

      Defines a thread pool used for interacting with the persistent store.

    - #### listenerThreadPool

          public T listenerThreadPool(ListenerThreadPool value)

      Defines a thread pool used for asynchronous cache listener notifications.

    - #### listenerThreadPool

          public T listenerThreadPool(ListenerThreadPoolConsumer consumer)

      Defines a thread pool used for asynchronous cache listener notifications.

    - #### listenerThreadPool

          public T listenerThreadPool()

      Defines a thread pool used for asynchronous cache listener notifications.

    - #### listenerThreadPool

          public T listenerThreadPool(ListenerThreadPoolSupplier supplier)

      Defines a thread pool used for asynchronous cache listener notifications.

    - #### stateTransferThreadPool

          public T stateTransferThreadPool(StateTransferThreadPool value)

      Defines a thread pool used for for state transfer.

    - #### stateTransferThreadPool

          public T stateTransferThreadPool(StateTransferThreadPoolConsumer consumer)

      Defines a thread pool used for for state transfer.

    - #### stateTransferThreadPool

          public T stateTransferThreadPool()

      Defines a thread pool used for for state transfer.

    - #### stateTransferThreadPool

          public T stateTransferThreadPool(StateTransferThreadPoolSupplier supplier)

      Defines a thread pool used for for state transfer.

    - #### aliases

          public List<String> aliases()

      The list of aliases for this cache container

    - #### aliases

          public T aliases(List<String> value)

      The list of aliases for this cache container

    - #### alias

          public T alias(String value)

      The list of aliases for this cache container

    - #### aliases

          public T aliases(String... args)

      The list of aliases for this cache container

    - #### cacheManagerStatus

          public String cacheManagerStatus()

      The status of the cache manager component. May return null if the cache manager is not started.

    - #### cacheManagerStatus

          public T cacheManagerStatus(String value)

      The status of the cache manager component. May return null if the cache manager is not started.

    - #### clusterName

          public String clusterName()

      The name of the cluster this node belongs to. May return null if the cache manager is not started.

    - #### clusterName

          public T clusterName(String value)

      The name of the cluster this node belongs to. May return null if the cache manager is not started.

    - #### coordinatorAddress

          public String coordinatorAddress()

      The logical address of the cluster's coordinator. May return null if the cache manager is not started.

    - #### coordinatorAddress

          public T coordinatorAddress(String value)

      The logical address of the cluster's coordinator. May return null if the cache manager is not started.

    - #### defaultCache

          public String defaultCache()

      The default infinispan cache

    - #### defaultCache

          public T defaultCache(String value)

      The default infinispan cache

    - #### isCoordinator

          public Boolean isCoordinator()

      Set to true if this node is the cluster's coordinator. May return null if the cache manager is not started.

    - #### isCoordinator

          public T isCoordinator(Boolean value)

      Set to true if this node is the cluster's coordinator. May return null if the cache manager is not started.

    - #### jndiName

          public String jndiName()

      The jndi name to which to bind this cache container

    - #### jndiName

          public T jndiName(String value)

      The jndi name to which to bind this cache container

    - #### localAddress

          public String localAddress()

      The local address of the node. May return null if the cache manager is not started.

    - #### localAddress

          public T localAddress(String value)

      The local address of the node. May return null if the cache manager is not started.

    - #### module

          public String module()

      The module whose class loader should be used when building this cache container's configuration.

    - #### module

          public T module(String value)

      The module whose class loader should be used when building this cache container's configuration.

    - #### statisticsEnabled

          public Boolean statisticsEnabled()

      If enabled, statistics will be collected for this cache container

    - #### statisticsEnabled

          public T statisticsEnabled(Boolean value)

      If enabled, statistics will be collected for this cache container

Copyright © 2018 JBoss by Red Hat. All rights reserved.